package content.data.skill

import core.api.consts.Items

/**
 * @author Empathy
 */
enum class SkillcapePerks(vararg val skillcapeIds: Int) {
    ATTACK(Items.ATTACK_CAPE_9747, Items.ATTACK_CAPET_9748),
    STRENGTH(Items.STRENGTH_CAPE_9750, Items.STRENGTH_CAPET_9751),
    DEFENCE(Items.DEFENCE_CAPE_9753, Items.DEFENCE_CAPET_9754),
    RANGING(Items.RANGING_CAPE_9756, Items.RANGING_CAPET_9757),
    PRAYER(Items.PRAYER_CAPE_9759, Items.PRAYER_CAPET_9760),
    MAGIC(Items.MAGIC_CAPE_9762, Items.MAGIC_CAPET_9763),
    RUNECRAFTING(Items.RUNECRAFT_CAPE_9765, Items.RUNECRAFT_CAPET_9766),
    HITPOINTS(Items.HITPOINTS_CAPE_9768, Items.HITPOINTS_CAPET_9769),
    AGILITY(Items.AGILITY_CAPE_9771, Items.AGILITY_CAPET_9772),
    HERBLORE(Items.HERBLORE_CAPE_9774, Items.HERBLORE_CAPET_9775),
    THIEVEING(Items.THIEVING_CAPE_9777, Items.THIEVING_CAPET_9778),
    CRAFTING(Items.CRAFTING_CAPE_9780, Items.CRAFTING_CAPET_9781),
    FLETCHING(Items.FLETCHING_CAPE_9783, Items.FLETCHING_CAPET_9784),
    SLAYER(Items.SLAYER_CAPE_9786, Items.SLAYER_CAPET_9787),
    CONSTRUCTION(Items.CONSTRUCT_CAPE_9789, Items.CONSTRUCT_CAPET_9790),
    MINING(Items.MINING_CAPE_9792, Items.MINING_CAPET_9793),
    SMITHING(Items.SMITHING_CAPE_9795, Items.SMITHING_CAPET_9796),
    FISHING(Items.FISHING_CAPE_9798, Items.FISHING_CAPET_9799),
    COOKING(Items.COOKING_CAPE_9801, Items.COOKING_CAPET_9802),
    FIREMAKING(Items.FIREMAKING_CAPE_9804, Items.FIREMAKING_CAPET_9805),
    WOODCUTTING(Items.WOODCUTTING_CAPE_9807, Items.WOODCUT_CAPET_9808),
    FARMING(Items.FARMING_CAPE_9810, Items.FARMING_CAPET_9811),
    HUNTING(Items.HUNTER_CAPE_9948, Items.HUNTER_CAPET_9949),
    SUMMONING(Items.SUMMONING_CAPE_12169, Items.SUMMONING_CAPET_12170)
}
